All Classes Namespaces Functions Variables Groups Pages
OracleSqlUtil::OracleUniqueConstraint Class Reference

represents an Oracle unique constraint More...

Inheritance diagram for OracleSqlUtil::OracleUniqueConstraint:
[legend]

## Public Member Functions

| clearIndex ()
| clears any index base for the constraint
string | getDisableSql (string table_name)
| returns a string that can be used to temporarily disable the constraint from the database
string | getEnableSql (string table_name, *hash opt)
| returns a string that can be used to enable the constraint in the database
*string | getTablespace ()
| returns the tablespace name used for this constraint, if known
bool | isEnabled ()
| returns True if the constraint is enabled, False if not
OracleColumn | memberGate (string k)
| returns the OracleColumn value of the given key if it exists, otherwise throws a `KEY-ERROR` exception More...

## Private Attributes

bool | enabled
| True if the constraint is enabled, False if not
*string | tablespace
| any tablespace for the unique key index

## Detailed Description

represents an Oracle unique constraint

## Member Function Documentation

OracleColumn OracleSqlUtil::OracleUniqueConstraint::memberGate | ( | string | k | ) |

returns the OracleColumn value of the given key if it exists, otherwise throws a `KEY-ERROR` exception

Example:
  auto v = c.name;

Parameters

  k | the name of the key to access

Returns
  the value of the given key in the contained hash if it exists

Exceptions

  KEY-ERROR | the given key does not exist in the contained hash

Note
  this method is called automatically when an unknown or inaccessible member name is accessed from outside the class

See Also
  memberGate_methods